<?php
	profile :: is_user(true);
	$title = $l = 'Настройки';
	$lBack = profile :: getLink($user);
	$thisLink = "/".$thisPage;
	$act = (isset($_GET['act']) ? intval($_GET['act']) : 1);
	$act = (in_array($act, [1,2,3]) ? $act : 1);
$prv = DB :: $pdo -> queryFetch("SELECT * FROM `privatMail` WHERE `id_user` = '$user[id]' LIMIT 1");

	// Смена пароля.
	if($act == 1) {
		if(isset($_POST['cfms-password'])) {
			if(@$_POST['access'] == ACCESS) {
				$password_n = (isset($_POST['new_password']) ? system :: text($_POST['new_password']) : NULL );
				$password_r = (isset($_POST['r_new_password']) ? system :: text($_POST['r_new_password']) : NULL );
				$password = (isset($_POST['password']) ? system :: text($_POST['password']) : NULL );
				if($password == $user['password'] || System::bhash($password) == $user['password']) {
					if(system::utf_strlen($password_n) >= 6){
						if(system::utf_strlen($password_n) <= 32){
							if(preg_match('|^[a-z0-9\-]+$|i', $password_n)){
								if($password_r == $password_n){
									$sid = system :: genHash($password_n, $user['id']);
									$access = rand(100000000,200000000);
									DB :: $pdo -> query("UPDATE `users` SET `sid`=?,`password`=?,`access`=?, `password_update` = ? WHERE `id`=? ",array($sid,System::bhash($password_n),$access, 1, $user['id']));
									setcookie('xsid', $sid, time()+60*60*24*365, "/");
									system :: redirect("Пароль успешно изменен!", $thisLink."?act=1");
								} else { $serror = "Введенные пароли не совпадают."; }
							} else { $serror = "Недопустимые символы в новом пароле."; }
						} else { $serror = "Пароль слишком длинный, максимальная длина - 16 символов."; }
					} else { $serror = "Пароль слишком короткий, минимальная длина - 6 символов."; }
				} else { $serror = "Текущий пароль введен неверно!"; }
			} else { $serror = "Вероятно вам подкинули эту ссылку."; }
		}
	} 

	require (CORE."head.php");

	system :: show($serror);
	
	?>
	<div class="app-block">
	<div class="list tab">
        <a class="<?=( $act == 1  ? "tab_active" : '' )?>" href="<?=$thisLink?>?act=1">Основное</a>
  <a class="<?=( $act == 2  ? "tab_active" : '' )?>" href="<?=$thisLink?>?act=2">Приватность</a>
    <a class="<?=( $act == 3  ? "tab_active" : '' )?>" href="<?=$thisLink?>?act=3">Платежи</a>
       </div>

<?php if($act == 1) { ?>

	<div>
		<a href="#" class="app-toggler app-toggler-white" data-id="settings--password" data-class="app-toggler-open" onclick="App.toggle(this,event);return false;">Изменить пароль<span class="app-toggler-icon app-icons"></span></a>
		<div id="settings--password" style="display: none;">
	<div class="list">
	<div class="app-block-w">
	<form method="post" action="">
		<div style="margin-bottom: 3px;">
			<label class="_gray _dbl" for="password">Введите ваш текущий пароль:</label>
			<input type="password" size="20" maxlength="32" class="main-input _w-100" name="password" value="" id="password">
		</div>
		<div style="margin-bottom: 3px;">
			<label class="_gray _dbl" for="new_password">Введите новый пароль:</label>
			<input type="password" size="20" maxlength="32" class="main-input _w-100" name="new_password" value="" id="new_password">
		</div>		
		<div style="margin-bottom: 3px;">
			<label class="_gray _dbl" for="r_new_password">Повторите новый пароль:</label>
			<input type="password" size="20" maxlength="32" class="main-input _w-100" name="r_new_password" value="" id="r_new_password">
		</div>
		<input type="hidden" name="access" value="<?=ACCESS?>">
		<input type="submit" value="Сохранить" name="cfms-password" class="main-btn _w-100">
	</form>
	</div>
	</div>
	</div>
	</div>
    
		
	<?php
	}else if($act == 2) {
	?><div class='list'>
	<span class='_gray'>Писать в почту могут: <?=($prv['privat_mail']==1?"<a href='/mail/?act=settings'><b>Все</b></a>":"<a href='/mail/?act=settings'><b>Друзья</b></a></span>")?></div>
	<?php }else if ($act ==3) {
	   echo " <div class='list'><span class='_gray'><b>Винети</b> - это универсальная валюта сайта , с помощю которой вы можете отправлять подарки ,покупать стикеры на сайте и оплачивать услуги </span> <b> Vineti.Ru </b></div>
    
	<div class='list'><span class='_gray'>На вашем счету : <b>".$user['line']." винетов</b> </span></div></div>";
	echo "<div class='app-block'><div class='list'><b>Ваши операции с Винетами</b><br /></div>";



//Запрос 
	$q= DB:: $pdo -> query("SELECT * FROM `money` WHERE `user` = :id ORDER by `time` DESC LIMIT 5;",[
	':id' => $user['id']
	]);

while($r = $q -> fetch()){
echo "<div class='list'>";
if($r['mp']==0)$mp='<span style="padding: 5px;background: #f38686;color: white;border-radius: 3px;">
 - '.$r['money'].'';
if($r['mp']==1)$mp='<span style="padding: 5px;background: #44861c;color: white;border-radius: 3px;">
+ '.$r['money'].'';
echo ''.$mp.' Винета</b></span><br />';
echo '<font color="#8a8a8a">'.$r['usl'].'</font> <span style="float: right;color: #73737B;">'.date('d.m.y/H:i',$r['time']).'</span>';
echo "</div>";
}}
	





	require (CORE."foot.php");